Bug 37339 - Windows user name with extended ASCII characters
Summary: Windows user name with extended ASCII characters
Status: RESOLVED DUPLICATE of bug 14918
Alias: None
Product: Android
Classification: Xamarin
Component: Debugger (show other bugs)
Version: unspecified
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-12-30 17:02 UTC by Jörg Petereit
Modified: 2017-06-28 12:02 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED DUPLICATE of bug 14918

Description Jörg Petereit 2015-12-30 17:02:15 UTC
When I started the debugger in VS2015 I get the message 
 'C:\Users\J├Ârg\AppData\Local\Android\android-sdk'.  Is --sdk-dir set appropriately

The problem seems to be that my windows user name is Jörg
The debugger or somthing can't work with extended ASCII values. In my case the 'Ö'
What can I do ?

Many thanks in advance


The complete output message is:


2>Der Buildvorgang wurde gestartet.
2>C:\Program Files (x86)\MSBuild\14.0\bin\csc.exe /noconfig /nowarn:1701,1702,2008 /nostdlib+ /errorreport:prompt /warn:4 /define:DEBUG;TRACE;__XAMARIN_ANDROID_v1_0__;__MOBILE__;__ANDROID__;__ANDROID_1__;__ANDROID_2__;__ANDROID_3__;__ANDROID_4__;__ANDROID_5__;__ANDROID_6__;__ANDROID_7__;__ANDROID_8__;__ANDROID_9__;__ANDROID_10__;__ANDROID_11__;__ANDROID_12__;__ANDROID_13__;__ANDROID_14__;__ANDROID_15__ /errorendlocation /preferreduilang:de-DE /reference:"C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\MonoAndroid\v4.0.3\Mono.Android.dll" /reference:"C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\MonoAndroid\v1.0\mscorlib.dll" /reference:"C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\MonoAndroid\v1.0\System.Core.dll" /reference:"C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\MonoAndroid\v1.0\System.dll" /reference:"C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\MonoAndroid\v1.0\System.Xml.dll" /reference:"C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\MonoAndroid\v1.0\System.Xml.Linq.dll" /debug+ /debug:full /filealign:512 /optimize- /out:obj\Debug\App2.dll /ruleset:"C:\Program Files (x86)\Microsoft Visual Studio 14.0\Team Tools\Static Analysis Tools\\Rule Sets\MinimumRecommendedRules.ruleset" /target:library /utf8output MainActivity.cs Resources\Resource.Designer.cs Properties\AssemblyInfo.cs "C:\Users\Jörg\AppData\Local\Temp\MonoAndroid,Version=v4.0.3.AssemblyAttributes.cs"
2>App2 -> C:\Users\Public\Documents\MeteoOnline\SmartPhone\App2\App2\bin\Debug\App2.dll
2>  Processing: obj\Debug\res\layout\main.xml
2>  Processing: obj\Debug\res\values\strings.xml
2>Unexpected error - Please file a bug report at http://bugzilla.xamarin.com. Reason: Could not find SDK directory 'C:\Users\J├Ârg\AppData\Local\Android\android-sdk'.  Is --sdk-dir set appropriately?
2>Fehler beim Buildvorgang.
Comment 1 Adam Hartley [MSFT] 2017-06-28 12:02:12 UTC

*** This bug has been marked as a duplicate of bug 14918 ***